%define qt4l_ver 1.4
%define qt4l_patchlevel 2
%define movtar_ver 0.1.3
%define jpeg_mmx_ver 0.1.4

Name: mjpegtools
Version: 1.6.1.90
Release: alt2

Summary: Tools for recording, editing, playing back mpeg-encoding video under linux
License: GPL
Url: http://mjpeg.sourceforge.net
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Group: Video
%define _url http://prdownloads.sourceforge.net/mjpeg
Source: %_url/%name-%version.tar.gz
Source1: %_url/libmovtar-%movtar_ver.tar.gz
Source2: %_url/jpeg-mmx-%jpeg_mmx_ver.tar.gz

Patch: %name-1.6.1.90-alt-configure.patch
Patch1: %name-1.6.1.90-alt-info.patch

%define libdv_ver 0.99
%define popt_ver 1.7-alt5

Requires: %name-libs = %version-%release 
Requires: libdv >= %libdv_ver
Requires: libpopt >= %popt_ver
Requires(post): %install_info
Requires(preun): %uninstall_info

BuildPreReq: libpopt-devel >= %popt_ver
BuildPreReq: libdv >= %libdv_ver

# Automatically added by buildreq on Tue Aug 26 2003
BuildRequires: XFree86-devel XFree86-libs esound-devel gcc-c++ gcc-g77 glib-devel gtk+-devel libSDL-devel libalsa-devel libarts-devel libaudiofile-devel libdv-devel libjpeg-devel libpng-devel libquicktime-devel libstdc++-devel nasm zlib-devel

%description
The MJPEG-tools are a basic set of utilities for recording, editing,
playing back and encoding (to mpeg) video under linux. Recording can
be done with zoran-based MJPEG-boards (LML33, Iomega Buz, Pinnacle
DC10(+), Marvel G200/G400), these can also playback video using the
hardware. With the rest of the tools, this video can be edited and
encoded into mpeg1/2 or divx video.

%ifarch %ix86
NOTE:
The resultant binaries will ***NOT*** run on a K6 or Pentium CPU
%endif

%package libs
Summary: Shared libraries for the mjpegtools
Group: System/Libraries

%description libs
This package contains shared libraries needed to run mjpegtools.

%ifarch %ix86
NOTE:
This binaries does ***NOT*** compatible with a K6 or Pentium CPU
%endif

%package devel
Summary: Development headers and libraries for the mjpegtools
Group: Development/C
Requires: %name-libs = %version-%release
Requires: %name-static-libs = %version-%release

%description devel
This package contains libraries and header files needed to compile
applications that use part of the libraries of the mjpegtools package.

%package static-libs
Summary: Static libraries for the mjpegtools
Group: Development/C
Requires: %name-devel = %version-%release

%description static-libs
This package contains static libraries needed to compile applications
that use part of the libraries of the mjpegtools package.

%ifarch %ix86
NOTE:
This binaries does ***NOT*** compatible with a K6 or Pentium CPU
%endif

%prep
%setup -q -a 1 -a 2
%__mv jpeg-mmx-* jpeg-mmx
%__mv libmovtar-* libmovtar
%patch -p1
%patch1 -p1

%build
%__mkdir_p .{%_includedir,%_libdir,%_bindir,%_datadir}
top_dir="`pwd`"
tmp_prefix="$top_dir/usr"

CFLAGS="${CFLAGS:-%optflags}" ; export CFLAGS
CXXFLAGS="${CXXFLAGS:-%optflags}" ; export CXXFLAGS

# Build jpeg-mmx
pushd jpeg-mmx
./configure
%make_build
popd

# Build libmovtar
pushd libmovtar
./configure --prefix="$tmp_prefix" \
	--with-m4data-prefix="$tmp_prefix/share/aclocal" \
	--with-jpeg-mmx="$top_dir/jpeg-mmx"

%make_build
%make install 
%make clean

%configure --with-jpeg-mmx="$top_dir/jpeg-mmx"
%make_build
popd

# Build mjpegtools
%__autoconf
%configure --with-quicktime \
	--with-movtar-prefix="$tmp_prefix" \
	--enable-large-file \
	--enable-cmov-extension \
	--with-dv-yv12 \
%ifarch %ix86
	--enable-simd-accel
%endif

%make_build "MOVTAR_CONFIG=$tmp_prefix/bin/movtar-config"

%install
%make -C libmovtar DESTDIR=%buildroot install
%makeinstall

%post
%install_info mjpeg-howto.info

%preun
%uninstall_info mjpeg-howto.info

%post libs -p %post_ldconfig
%postun libs -p %postun_ldconfig

%files
%_bindir/*
%exclude %_bindir/*-config
%doc AUTHORS BUGS CHANGES HINTS PLANS README TODO
%_man1dir/*
%_infodir/*.info*

%files libs
%_libdir/*.so.*

%files devel
%_bindir/*-config
%_includedir/*
%_libdir/*.la
%_libdir/*.so
%_libdir/pkgconfig/*
%_datadir/aclocal/*
%_man5dir/*

%files static-libs
%_libdir/*.a

%changelog
* Mon Sep 22 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.6.1.90-alt2
- mjpegtools-devel requires mjpegtools-static-libs (fix #3024).

* Mon Aug 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.6.1.90-alt1
- 1.6.1.90

* Sun Nov 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.6.0-alt3
- Rebuilt with new libdirectfb.

* Sun Sep 08 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.6.0-alt2
- rebuild with new libdv (0.98), XFree86. 
- gcc-3.2 used.
- buildrequires updated.

* Sat May 11 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.6.0-alt1
- 1.6.0 release. 

* Fri May 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.6.0-alt0.5rc2
- First build for Sisyphus.
